EDIT - feature request #7432

Show default login only if the account has not been changed
05/18/2018 02:32 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

Copied from #4256:

Some time ago we discussed this issue and decided that the login dialog should mention the default credentials as long the account
has not been changed. This check can easily be done by comparing the login name and the digested password with the contents of
the database.

The check can be done with org.springframework.security.authentication.encoding.Md5PasswordEncoder (bean: passwordEncoder)
and the Salt (bean: saltSource)

see also #4256#note-19 and #4256#note-20

Associated revisions

Revision 318ecd36 - 06/09/2020 02:20 AM - Andreas Muller

ref #7432 show default login data only if server is localhost mgd.

History

#2 - 05/18/2018 02:34 PM - Andreas Miuller

- Description updated

#3 - 05/18/2018 02:39 PM - Andreas Miiller

- Subject changed from SHow default login only if the account has not been changed to Show default login only if the account has not been changed

#4 - 06/27/2018 02:19 PM - Andreas Miuller

- Target version changed from Release 5.1 to Release 5.2

#5 - 08/17/2018 03:47 PM - Andreas Miuller

- Target version changed from Release 5.2 to Release 5.3

#6 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#7 - 10/19/2018 03:05 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5

#8 - 10/23/2018 10:36 AM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#9 - 02/20/2019 03:42 PM - Patrick Plitzner
- Priority changed from New to Highest

#10 - 02/20/2019 03:47 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Reviewed Next Major Release

#11 - 11/18/2019 02:55 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Katja Luther

#12 - 04/17/2020 11:00 AM - Andreas Muller

- Target version changed from Reviewed Next Major Release to Release 5.15

Another solution could be to show the default password only if the host is localhost or if the instance is "localhost mgd". This covers the usecase that
some new user uses the build in H2 DB for testing.
Also we could add a dialogue when a DB is created via the datasource view that the default login is ... and that it should be changed immediately.

The advantage here is that no explicit server call is needed (for comparing the existing password). The disadvantage is that DB admins are not
immediately informed about the fact that the default password is still in use. But this later check could also be included into the CDM Server user
interface where it is more secure to show the information as ordinary users do not have access to it and usually those having access are
administrators anyway.

#13 - 04/17/2020 11:01 AM - Andreas Miiller
WGB:

Und im Login-Dialog stolpere ich jedes mal Uber die Angabe des Defaults (admin, ...) — die ist doch klar unsinnig? (Hoffentlich!)

#14 - 04/20/2020 10:00 AM - Andreas Kohlbecker

Andreas Muller wrote:

Another solution could be to show the default password only if the host is localhost or if the instance is "localhost mgd". This covers the usecase
that some new user uses the build in H2 DB for testing.

Also we could add a dialogue when a DB is created via the datasource view that the default login is ... and that it should be changed
immediately.

The advantage here is that no explicit server call is needed (for comparing the existing password). The disadvantage is that DB admins are not
immediately informed about the fact that the default password is still in use. But this later check could also be included into the CDM Server user
interface where it is more secure to show the information as ordinary users do not have access to it and usually those having access are
administrators anyway.

A further possibilities are:
e Show a help text when a first login attempt has failed, this text could include the information on the default user

e Check for the default user credentials via web service authentication, this is a quick http request and does not require bootstrapping the spring
context or a working db connection via hibernate etc.

#15 - 04/22/2020 10:29 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#16 - 06/09/2020 02:19 AM - Andreas Miiller

- Status changed from New to In Progress

Implemented now that default login is shown only for localhost mgd. (v 5.15)

#17 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#18 - 01/27/2021 04:49 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#19 - 03/11/2021 09:05 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#20 - 04/19/2021 04:29 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
